Compile and install vbox5.2.20 problem

Discussions related to using the OSE version of VirtualBox.

Compile and install vbox5.2.20 problem

Postby Artlu » 28. Oct 2018, 11:45

in https://www.virtualbox.org/wiki/Windows ... structions
The documentation requires qt5.6.x and above and is built with c++, but isn't this qt5.6.x required to be compiled in vs2013 and above? What can I do.
Artlu
 
Posts: 7
Joined: 6. Oct 2018, 02:55

Re: Compile and install vbox5.2.20 problem

Postby socratis » 28. Oct 2018, 12:15

Moving to "OSE" from "Windows Hosts".
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
socratis
Site Moderator
 
Posts: 25220
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5

Re: Compile and install vbox5.2.20 problem

Postby mhanor » 30. Oct 2018, 20:06

Qt 5.6.3 compiles just fine with MSVC++ 10.0 (Visual Studio 2010 or SDK 7.1)
mhanor
Volunteer
 
Posts: 310
Joined: 7. Oct 2009, 12:40
Primary OS: MS Windows 10
VBox Version: PUEL
Guest OSses: various

Re: Compile and install vbox5.2.20 problem

Postby Yurii.Ch » 6. Jan 2019, 08:02

Unfortunately, it is impossible to upgrade VBox OSE under Windows to anything newer than MS VC++ 10.0 because of COM and ATL bindings. I tried several times, appeared it requires huge amount of work, and I gave up. In the parallel discussion there's an explanation of legacy tools usage, backward compatibility with older systems, which are often used in virtual environment
Last edited by socratis on 6. Jan 2019, 10:16, edited 1 time in total.
Reason: Added missing URL.
Yurii.Ch
 
Posts: 31
Joined: 16. Oct 2018, 08:47
Primary OS: Mac OS X other
VBox Version: OSE self-compiled
Guest OSses: Windows 7-10, Linux


Return to VirtualBox OSE

Who is online

Users browsing this forum: No registered users and 1 guest